Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001821TestLinkGeneralpublic2008-10-28 08:192008-12-08 20:03
ReporterTurboPT 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001821: Re: bug 1698 The 'better' solution still causes error.
DescriptionAlthough the check for function_exists('memory_get_usage') IS a 'better' check, it still causes PHP to report a problem with the memory_get_peak_usage() function inside the condition.
Additional InformationI propose improving this current condition block:
// BUGID 1698
if( function_exists('memory_get_usage') )
{
    tlog("mainPage.php: Memory after common> Usage: ".memory_get_usage()." | Peak: ".memory_get_peak_usage() , 'DEBUG');
}


to this:
// BUGID 1698
if( function_exists('memory_get_usage') )
{
    $tLogMsg = "mainPage.php: Memory after common> Usage: " . memory_get_usage();
    
    /* Add peak memory usage, if the function exists...*/
    if ( function_exists('memory_get_peak_usage') )
    {
        $tLogMsg .= " | Peak: " . memory_get_peak_usage();
    }

    tlog($tLogMsg, 'DEBUG');
}
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFireFox3
PHP Version5.1.6
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004459)
fman (administrator)
2008-10-28 21:29

check last CVS code I think we have made a double check
and please use better subjects for your issues
(0004464)
TurboPT (reporter)
2008-10-29 07:09

Ok, I'll try for better subject/summary next time. I entered it that way to make reference to the 'other' bug#.

I checked the CVS, and if I'm looking at the right file, the old way is still there. No match for the suggestion offered in the 'additional information' section.
(0004468)
fman (administrator)
2008-10-29 15:08

on code on CVS

// BUGID 1698
if( function_exists('memory_get_usage') && function_exists('memory_get_peak_usage') )
{

means your are not looking to right file.
CVS version must be 1.47
(0004473)
TurboPT (reporter)
2008-10-30 06:47

Ok. I think the change may have gotten clobbered. I see where that was applied in the 1.47 version, but the 1.49 version [the one I viewed] has the old way. That is what confused me. Check a diff between 1.48, and 1.49, you'll see what I mean.
(0004477)
fman (administrator)
2008-10-30 23:37

you are right, I will re-fix. thanks
(0004478)
fman (administrator)
2008-10-30 23:39

just commited , check for 1.50 version
(0004506)
fman (administrator)
2008-11-04 17:22

any news? I need to set to resolved.
(0004520)
TurboPT (reporter)
2008-11-05 09:33
edited on: 2008-11-05 09:33

Seems ok with your original code in place.
Note, though, that the feedback I offered in the 'additional information', that a partial memory debug can be given even if the 'peak' memory function doesn't exist.


- Issue History
Date Modified Username Field Change
2008-10-28 08:19 TurboPT New Issue
2008-10-28 08:19 TurboPT Browser => FireFox3
2008-10-28 08:19 TurboPT PHP Version => 5.1.6
2008-10-28 21:29 fman Note Added: 0004459
2008-10-28 21:32 fman Status new => feedback
2008-10-29 07:09 TurboPT Note Added: 0004464
2008-10-29 15:08 fman Note Added: 0004468
2008-10-30 06:47 TurboPT Note Added: 0004473
2008-10-30 23:37 fman Note Added: 0004477
2008-10-30 23:39 fman Note Added: 0004478
2008-11-04 17:22 fman Note Added: 0004506
2008-11-05 09:33 TurboPT Note Added: 0004520
2008-11-05 09:33 TurboPT Note Edited: 0004520
2008-11-07 02:22 fman Status feedback => resolved
2008-11-07 02:22 fman Fixed in Version => next development 1.8 RC 1
2008-11-07 02:22 fman Resolution open => fixed
2008-11-07 02:22 fman Assigned To => fman
2008-11-07 23:21 azl Category TL API => General
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker